<?php
/**
 * Post format
 *
 * @package billiard
 * @since 1.0.0
 *
 */
$post_id = get_the_ID();
$meta = get_post_meta( $post_id, 'billiard_post_options', true );
$item_class = ( isset( $meta['post_preview_style'] ) && $meta['post_preview_style'] == 'image' ) ? ' blog-item-bg' : '';
?>
<?php if(has_post_thumbnail()): ?>
<div class="post-preview-header">
	<?php echo get_the_post_thumbnail( $post_id, "large", $attr = array ("class"=>"s-img-switch") ); ?>
</div>
<?php endif ; ?>
<div class="title-post">
	<a href="<?php the_permalink(); ?>"><h4><?php the_title(); ?></h4></a>
</div>
<div class="post-previews">
	<div class="post-preview-left">
		<div class="post-preview-author">
			<span><?php esc_html_e( 'By', 'billiard' ); ?></span>
			<div class="blog-post__category"><?php the_author(); ?></div>
		</div>
		<div class="post-preview-date">
			<span>&middot;</span>
			<div class="blog-post__date"><?php the_time( get_option( 'date_format' ) ); ?></div>
		</div>
	</div>
	<div class="post-preview-right">
		<div class="post-preview-comments">
			<?php comments_number(); ?>
		</div>
	</div>
</div>
<?php the_excerpt(); ?>
<a href="<?php the_permalink(); ?>"><?php esc_html_e( 'read more &rarr;', 'billiard' ); ?></a>

